<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Eating</title>
</head>
<body>
    <h1>Eating time</h1>
    <h3>DEBUG</h3>
    <div id="debug">...</div>
    <hr/>
    <script>
        function between(lb, x, ub) {
            return (lb <= x) && (x <= ub);
        }

        let hour = prompt('What is the current hour?');
        hour     = parseInt(hour);
        console.debug('hour', hour);

        document.getElementById('debug').innerHTML = `<p>hour = ${hour}</p>`;
        if ((6 <= hour) && (hour <= 9)  /*between(6, hour, 9)*/) {
            alert('Breakfast is served');
        } else if ((11 <= hour) && (hour <= 13) /*between(11, hour, 13)*/) {
            alert('Time for lunch');
        } else if ((17 <= hour) && (hour <= 20) /*between(17, hour, 20)*/) {
            alert('It is dinner');
        } else {
            alert('Sorry, grab a snack');
        }
    </script>
</body>
</html>